Index: trunk/lib/FlairCore/src/ImuData.h
===================================================================
--- trunk/lib/FlairCore/src/ImuData.h	(revision 14)
+++ trunk/lib/FlairCore/src/ImuData.h	(revision 15)
@@ -17,190 +17,203 @@
 #include <Vector3D.h>
 
-namespace flair { namespace core {
-
-    /*! \class ImuData
-    *
-    * \brief Class defining IMU datas
-    *
-    * IMU (inertial measurement unit) datas consist of raw accelerometer values, raw gyrometer values
-    * and raw magnetometer values.
-    *
-    */
-    class ImuData: public io_data {
-        public:
-            class Type: public DataType {
-            public:
-                Type(ScalarType const &_elementDataType):
-                    elementDataType(_elementDataType){}
-                ScalarType const &GetElementDataType() const {return elementDataType;}
-                std::string GetDescription() const {return "imu data";}
-                size_t GetSize() const {
-                    size_t size=0;
-                    size+=3*elementDataType.GetSize();//RawAcc
-                    size+=3*elementDataType.GetSize();//RawGyr
-                    size+=3*elementDataType.GetSize();//RawMag
-                    return size;
-                }
-            private:
-                ScalarType const &elementDataType;
-            };
-
-            /*!
-            \enum PlotableData_t
-            \brief Datas wich can be plotted in a DataPlot1D
-            */
-            typedef enum {
-                RawAx/*! x raw accelerometer */, RawAy/*! y raw accelerometer */ ,RawAz/*! z raw accelerometer */,
-                RawGx/*! x raw gyrometer */,RawGy/*! y raw gyrometer */,RawGz/*! z raw gyrometer */,
-                RawGxDeg/*! x raw gyrometer degree */,RawGyDeg/*! y raw gyrometer degree */,RawGzDeg/*! z raw gyrometer degree */,
-                RawMx/*! x raw magnetometer */,RawMy/*! y raw magnetometer */,RawMz/*! z raw magnetometer */
-                } PlotableData_t;
-
-            /*!
-            * \brief Constructor
-            *
-            * Construct an io_data representing IMU datas. \n
-            *
-            * \param parent parent
-            * \param name name
-            * \param n number of samples
-            */
-            ImuData(const Object* parent,std::string name="",int n=1);
-
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~ImuData();
-
-            /*!
-            * \brief Element
-            *
-            * Get a pointer to a specific element. This pointer can be used for plotting.
-            *
-            * \param data_type data type
-            *
-            * \return pointer to the element
-            */
-            IODataElement* Element(PlotableData_t data_type) const;
-
-            /*!
-            * \brief Get raw accelerations
-            *
-            * This method is mutex protected.
-            *
-            * \return raw accelerations
-            *
-            */
-            Vector3D GetRawAcc(void) const;
-
-            /*!
-            * \brief Get raw magnetometers
-            *
-            * This method is mutex protected.
-            *
-            * \return raw magnetometers
-            *
-            */
-            Vector3D GetRawMag(void) const;
-
-            /*!
-            * \brief Get raw angular speed
-            *
-            * This method is mutex protected.
-            *
-            * \return raw angular speed
-            *
-            */
-            Vector3D GetRawGyr(void) const;
-
-            /*!
-            * \brief Get raw accelerations, magnetometers and angular speeds
-            *
-            * This method is mutex protected.
-            *
-            * \param rawAcc raw accelerations
-            * \param rawMag raw magnetometers
-            * \param rawGyr raw angular speeds
-            *
-            */
-            void GetRawAccMagAndGyr(Vector3D &rawAcc,Vector3D &rawMag,Vector3D &rawGyr) const;
-
-            /*!
-            * \brief Set raw accelerations
-            *
-            * This method is mutex protected.
-            *
-            * \param raw accelerations
-            *
-            */
-            void SetRawAcc(const Vector3D &rawAcc);
-
-            /*!
-            * \brief Set raw magnetometers
-            *
-            * This method is mutex protected.
-            *
-            * \param raw magnetometers
-            *
-            */
-            void SetRawMag(const Vector3D &rawMag);
-
-            /*!
-            * \brief Set raw angular speed
-            *
-            * This method is mutex protected.
-            *
-            * \param raw angular speed
-            *
-            */
-            void SetRawGyr(const Vector3D &rawGyr);
-
-            /*!
-            * \brief Set raw accelerations, magnetometers and angular speeds
-            *
-            * This method is mutex protected.
-            *
-            * \param rawAcc raw accelerations
-            * \param rawMag raw magnetometers
-            * \param rawGyr raw angular speeds
-            *
-            */
-            void SetRawAccMagAndGyr(const Vector3D &rawAcc,const Vector3D &rawMag,const Vector3D &rawGyr);
-
-            Type const&GetDataType() const {return dataType;}
-        private:
-            /*!
-            * \brief Copy datas
-            *
-            * Reimplemented from io_data. \n
-            * See io_data::CopyDatas.
-            *
-            * \param dst destination buffer
-            */
-            void CopyDatas(char* dst) const;
-
-            /*!
-            * \brief Raw accelerometer
-            *
-            */
-            Vector3D rawAcc;
-
-            /*!
-            * \brief Raw gyrometer
-            *
-            */
-            Vector3D rawGyr;
-
-            /*!
-            * \brief Raw magnetometer
-            *
-            */
-            Vector3D rawMag;
-
-            void Queue(char** dst,const void *src,size_t size) const;
-            Type dataType;
-
-    };
+namespace flair {
+namespace core {
+
+/*! \class ImuData
+*
+* \brief Class defining IMU datas
+*
+* IMU (inertial measurement unit) datas consist of raw accelerometer values, raw
+*gyrometer values
+* and raw magnetometer values.
+*
+*/
+class ImuData : public io_data {
+public:
+  class Type : public DataType {
+  public:
+    Type(ScalarType const &_elementDataType)
+        : elementDataType(_elementDataType) {}
+    ScalarType const &GetElementDataType() const { return elementDataType; }
+    std::string GetDescription() const { return "imu data"; }
+    size_t GetSize() const {
+      size_t size = 0;
+      size += 3 * elementDataType.GetSize(); // RawAcc
+      size += 3 * elementDataType.GetSize(); // RawGyr
+      size += 3 * elementDataType.GetSize(); // RawMag
+      return size;
+    }
+
+  private:
+    ScalarType const &elementDataType;
+  };
+
+  /*!
+  \enum PlotableData_t
+  \brief Datas wich can be plotted in a DataPlot1D
+  */
+  typedef enum {
+    RawAx /*! x raw accelerometer */,
+    RawAy /*! y raw accelerometer */,
+    RawAz /*! z raw accelerometer */,
+    RawGx /*! x raw gyrometer */,
+    RawGy /*! y raw gyrometer */,
+    RawGz /*! z raw gyrometer */,
+    RawGxDeg /*! x raw gyrometer degree */,
+    RawGyDeg /*! y raw gyrometer degree */,
+    RawGzDeg /*! z raw gyrometer degree */,
+    RawMx /*! x raw magnetometer */,
+    RawMy /*! y raw magnetometer */,
+    RawMz /*! z raw magnetometer */
+  } PlotableData_t;
+
+  /*!
+  * \brief Constructor
+  *
+  * Construct an io_data representing IMU datas. \n
+  *
+  * \param parent parent
+  * \param name name
+  * \param n number of samples
+  */
+  ImuData(const Object *parent, std::string name = "", int n = 1);
+
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~ImuData();
+
+  /*!
+  * \brief Element
+  *
+  * Get a pointer to a specific element. This pointer can be used for plotting.
+  *
+  * \param data_type data type
+  *
+  * \return pointer to the element
+  */
+  IODataElement *Element(PlotableData_t data_type) const;
+
+  /*!
+  * \brief Get raw accelerations
+  *
+  * This method is mutex protected.
+  *
+  * \return raw accelerations
+  *
+  */
+  Vector3D GetRawAcc(void) const;
+
+  /*!
+  * \brief Get raw magnetometers
+  *
+  * This method is mutex protected.
+  *
+  * \return raw magnetometers
+  *
+  */
+  Vector3D GetRawMag(void) const;
+
+  /*!
+  * \brief Get raw angular speed
+  *
+  * This method is mutex protected.
+  *
+  * \return raw angular speed
+  *
+  */
+  Vector3D GetRawGyr(void) const;
+
+  /*!
+  * \brief Get raw accelerations, magnetometers and angular speeds
+  *
+  * This method is mutex protected.
+  *
+  * \param rawAcc raw accelerations
+  * \param rawMag raw magnetometers
+  * \param rawGyr raw angular speeds
+  *
+  */
+  void GetRawAccMagAndGyr(Vector3D &rawAcc, Vector3D &rawMag,
+                          Vector3D &rawGyr) const;
+
+  /*!
+  * \brief Set raw accelerations
+  *
+  * This method is mutex protected.
+  *
+  * \param raw accelerations
+  *
+  */
+  void SetRawAcc(const Vector3D &rawAcc);
+
+  /*!
+  * \brief Set raw magnetometers
+  *
+  * This method is mutex protected.
+  *
+  * \param raw magnetometers
+  *
+  */
+  void SetRawMag(const Vector3D &rawMag);
+
+  /*!
+  * \brief Set raw angular speed
+  *
+  * This method is mutex protected.
+  *
+  * \param raw angular speed
+  *
+  */
+  void SetRawGyr(const Vector3D &rawGyr);
+
+  /*!
+  * \brief Set raw accelerations, magnetometers and angular speeds
+  *
+  * This method is mutex protected.
+  *
+  * \param rawAcc raw accelerations
+  * \param rawMag raw magnetometers
+  * \param rawGyr raw angular speeds
+  *
+  */
+  void SetRawAccMagAndGyr(const Vector3D &rawAcc, const Vector3D &rawMag,
+                          const Vector3D &rawGyr);
+
+  Type const &GetDataType() const { return dataType; }
+
+private:
+  /*!
+  * \brief Copy datas
+  *
+  * Reimplemented from io_data. \n
+  * See io_data::CopyDatas.
+  *
+  * \param dst destination buffer
+  */
+  void CopyDatas(char *dst) const;
+
+  /*!
+  * \brief Raw accelerometer
+  *
+  */
+  Vector3D rawAcc;
+
+  /*!
+  * \brief Raw gyrometer
+  *
+  */
+  Vector3D rawGyr;
+
+  /*!
+  * \brief Raw magnetometer
+  *
+  */
+  Vector3D rawMag;
+
+  void Queue(char **dst, const void *src, size_t size) const;
+  Type dataType;
+};
 
 } // end namespace core
Index: trunk/lib/FlairCore/src/Label.cpp
===================================================================
--- trunk/lib/FlairCore/src/Label.cpp	(revision 14)
+++ trunk/lib/FlairCore/src/Label.cpp	(revision 15)
@@ -22,42 +22,39 @@
 using std::string;
 
-namespace flair
-{
-namespace gui
-{
+namespace flair {
+namespace gui {
 
-Label::Label(const LayoutPosition* position,string name,size_t buf_size): Widget(position->getLayout(),name,"Label")
-{
-    SetVolatileXmlProp("row",position->Row());
-    SetVolatileXmlProp("col",position->Col());
+Label::Label(const LayoutPosition *position, string name, size_t buf_size)
+    : Widget(position->getLayout(), name, "Label") {
+  SetVolatileXmlProp("row", position->Row());
+  SetVolatileXmlProp("col", position->Col());
 
-    SendXml();
+  SendXml();
 
-    printf_buffer=(char*)malloc(buf_size);
-    if(printf_buffer==NULL) Err("erreur malloc\n");
+  printf_buffer = (char *)malloc(buf_size);
+  if (printf_buffer == NULL)
+    Err("erreur malloc\n");
 
-    delete position;
+  delete position;
 }
 
-Label::~Label()
-{
-    if(printf_buffer!=NULL) free(printf_buffer);
-    printf_buffer=NULL;
+Label::~Label() {
+  if (printf_buffer != NULL)
+    free(printf_buffer);
+  printf_buffer = NULL;
 }
 
+void Label::SetText(const char *format, ...) {
+  int n;
 
-void Label::SetText(const char * format, ...)
-{
-    int n;
+  va_list args;
+  va_start(args, format);
+  n = vsprintf(printf_buffer, format, args);
+  va_end(args);
+  if (n <= 0)
+    return;
 
-    va_list args;
-    va_start (args, format);
-    n = vsprintf(printf_buffer,format, args);
-    va_end (args);
-    if (n<=0) return;
-
-    SetVolatileXmlProp("value",printf_buffer);
-    SendXml();
-
+  SetVolatileXmlProp("value", printf_buffer);
+  SendXml();
 }
 
Index: trunk/lib/FlairCore/src/Label.h
===================================================================
--- trunk/lib/FlairCore/src/Label.h	(revision 14)
+++ trunk/lib/FlairCore/src/Label.h	(revision 15)
@@ -16,48 +16,47 @@
 #include <Widget.h>
 
-namespace flair
-{
-namespace gui
-{
+namespace flair {
+namespace gui {
 
-    class LayoutPosition;
+class LayoutPosition;
 
-    /*! \class Label
-    *
-    * \brief Class displaying a QLabel on the ground station
-    *
-    */
-    class Label:public Widget
-    {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a QLabel at given position. \n
-            * The Label will automatically be child of position->getLayout() Layout. After calling this constructor,
-            * position will be deleted as it is no longer usefull.
-            *
-            * \param parent parent
-            * \param name name
-            * \param buf_size size of the text buffer
-            */
-            Label(const LayoutPosition* position,std::string name,size_t buf_size=255);
+/*! \class Label
+*
+* \brief Class displaying a QLabel on the ground station
+*
+*/
+class Label : public Widget {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a QLabel at given position. \n
+  * The Label will automatically be child of position->getLayout() Layout. After
+  *calling this constructor,
+  * position will be deleted as it is no longer usefull.
+  *
+  * \param parent parent
+  * \param name name
+  * \param buf_size size of the text buffer
+  */
+  Label(const LayoutPosition *position, std::string name,
+        size_t buf_size = 255);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~Label();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~Label();
 
-            /*!
-            * \brief Set text
-            *
-            * \param format text string to display, see standard printf
-            */
-            void SetText(const char * format, ...);
+  /*!
+  * \brief Set text
+  *
+  * \param format text string to display, see standard printf
+  */
+  void SetText(const char *format, ...);
 
-        private:
-            char* printf_buffer;
-    };
+private:
+  char *printf_buffer;
+};
 
 } // end namespace gui
Index: trunk/lib/FlairCore/src/Layout.cpp
===================================================================
--- trunk/lib/FlairCore/src/Layout.cpp	(revision 14)
+++ trunk/lib/FlairCore/src/Layout.cpp	(revision 15)
@@ -21,32 +21,24 @@
 using std::string;
 
-namespace flair
-{
-namespace gui
-{
+namespace flair {
+namespace gui {
 
-Layout::Layout(const Widget* parent,string name,string type): Widget(parent,name,type)
-{
-    mutex=new core::Mutex(this,name);
+Layout::Layout(const Widget *parent, string name, string type)
+    : Widget(parent, name, type) {
+  mutex = new core::Mutex(this, name);
 }
 
-Layout::~Layout()
-{
+Layout::~Layout() {}
 
+LayoutPosition *Layout::LastRowLastCol(void) const {
+  return new LayoutPosition(this, -1, 0);
 }
 
-LayoutPosition* Layout::LastRowLastCol(void) const
-{
-    return new LayoutPosition(this,-1,0);
+LayoutPosition *Layout::NewRow(void) const {
+  return new LayoutPosition(this, -1, -1);
 }
 
-LayoutPosition*  Layout::NewRow(void) const
-{
-    return new LayoutPosition(this,-1,-1);
-}
-
-LayoutPosition*  Layout::At(uint16_t row,uint16_t col) const
-{
-    return new LayoutPosition(this,row,col);
+LayoutPosition *Layout::At(uint16_t row, uint16_t col) const {
+  return new LayoutPosition(this, row, col);
 }
 
Index: trunk/lib/FlairCore/src/Layout.h
===================================================================
--- trunk/lib/FlairCore/src/Layout.h	(revision 14)
+++ trunk/lib/FlairCore/src/Layout.h	(revision 15)
@@ -17,80 +17,80 @@
 #include <Mutex.h>
 
-namespace flair
-{
-namespace gui
-{
-    class LayoutPosition;
+namespace flair {
+namespace gui {
+class LayoutPosition;
 
-    /*! \class Layout
-    *
-    * \brief Abstract class to display a layout on the ground station
-    *
-    * This is an abstract class to display layouts (like GridLayout, GroupBox, etc). \n
-    * A layout can contains Widgets (Box, DataPlot, Picture, etc). \n
-    * Layout holds a Mutex, which can be used to protect access to Box's value for example.
-    */
-    class Layout: public Widget
-    {
-        friend class Box;
+/*! \class Layout
+*
+* \brief Abstract class to display a layout on the ground station
+*
+* This is an abstract class to display layouts (like GridLayout, GroupBox, etc).
+*\n
+* A layout can contains Widgets (Box, DataPlot, Picture, etc). \n
+* Layout holds a Mutex, which can be used to protect access to Box's value for
+*example.
+*/
+class Layout : public Widget {
+  friend class Box;
 
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a Layout. Type is a predifined one, and will be
-            * interpreted by the ground station.
-            *
-            * \param parent parent
-            * \param name name
-            * \param type type of layout
-            */
-            Layout(const Widget* parent,std::string name,std::string type);
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a Layout. Type is a predifined one, and will be
+  * interpreted by the ground station.
+  *
+  * \param parent parent
+  * \param name name
+  * \param type type of layout
+  */
+  Layout(const Widget *parent, std::string name, std::string type);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~Layout();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~Layout();
 
-            /*!
-            * \brief Last Row and Col LayoutPosition
-            *
-            * Get a LayoutPosition at the last row and col.
-            *
-            * \return the LayoutPosition
-            */
-            LayoutPosition* LastRowLastCol(void) const;
+  /*!
+  * \brief Last Row and Col LayoutPosition
+  *
+  * Get a LayoutPosition at the last row and col.
+  *
+  * \return the LayoutPosition
+  */
+  LayoutPosition *LastRowLastCol(void) const;
 
-            /*!
-            * \brief New Row LayoutPosition
-            *
-            * Get a LayoutPosition at a new row and first col. This new row will be at the last position.
-            *
-            * \return the LayoutPosition
-            */
-            LayoutPosition*  NewRow(void) const;
+  /*!
+  * \brief New Row LayoutPosition
+  *
+  * Get a LayoutPosition at a new row and first col. This new row will be at the
+  *last position.
+  *
+  * \return the LayoutPosition
+  */
+  LayoutPosition *NewRow(void) const;
 
-            /*!
-            * \brief LayoutPosition at specified position
-            *
-            * Get a LayoutPosition at specified row and col.
-            *
-            * \param row row
-            * \param col col
-            *
-            * \return the LayoutPosition
-            */
-            LayoutPosition*  At(uint16_t row,uint16_t col) const;
+  /*!
+  * \brief LayoutPosition at specified position
+  *
+  * Get a LayoutPosition at specified row and col.
+  *
+  * \param row row
+  * \param col col
+  *
+  * \return the LayoutPosition
+  */
+  LayoutPosition *At(uint16_t row, uint16_t col) const;
 
-        private:
-            /*!
-            * \brief Mutex
-            *
-            * This Mutex can be used by friends class like Box to protect access
-            * to Box's value.
-            */
-            core::Mutex* mutex;
-    };
+private:
+  /*!
+  * \brief Mutex
+  *
+  * This Mutex can be used by friends class like Box to protect access
+  * to Box's value.
+  */
+  core::Mutex *mutex;
+};
 
 } // end namespace gui
Index: trunk/lib/FlairCore/src/LayoutPosition.cpp
===================================================================
--- trunk/lib/FlairCore/src/LayoutPosition.cpp	(revision 14)
+++ trunk/lib/FlairCore/src/LayoutPosition.cpp	(revision 15)
@@ -17,36 +17,20 @@
 #include "LayoutPosition.h"
 
+namespace flair {
+namespace gui {
 
-namespace flair
-{
-namespace gui
-{
-
-LayoutPosition::LayoutPosition(const Layout* layout,int16_t row,int16_t col)
-{
-    this->layout=layout;
-    this->row=row;
-    this->col=col;
+LayoutPosition::LayoutPosition(const Layout *layout, int16_t row, int16_t col) {
+  this->layout = layout;
+  this->row = row;
+  this->col = col;
 }
 
-LayoutPosition::~LayoutPosition()
-{
+LayoutPosition::~LayoutPosition() {}
 
-}
+const Layout *LayoutPosition::getLayout(void) const { return layout; }
 
-const Layout* LayoutPosition::getLayout(void) const
-{
-    return layout;
-}
+int16_t LayoutPosition::Row(void) const { return row; }
 
-int16_t LayoutPosition::Row(void) const
-{
-    return row;
-}
-
-int16_t LayoutPosition::Col(void) const
-{
-    return col;
-}
+int16_t LayoutPosition::Col(void) const { return col; }
 
 } // end namespace gui
Index: trunk/lib/FlairCore/src/LayoutPosition.h
===================================================================
--- trunk/lib/FlairCore/src/LayoutPosition.h	(revision 14)
+++ trunk/lib/FlairCore/src/LayoutPosition.h	(revision 15)
@@ -16,63 +16,58 @@
 #include <stdint.h>
 
-namespace flair
-{
-namespace gui
-{
-    class Layout;
+namespace flair {
+namespace gui {
+class Layout;
 
-    /*! \class LayoutPosition
-    *
-    * \brief Class to define a position in a layout on the ground station.
-    *
+/*! \class LayoutPosition
+*
+* \brief Class to define a position in a layout on the ground station.
+*
 
-    */
-    class LayoutPosition
-    {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a LayoutPosition, in given Layout at given place.
-            *
-            * \param layout layout
-            * \param row row position
-            * \param col col position
-            */
-            LayoutPosition(const Layout* layout,int16_t row,int16_t col);
+*/
+class LayoutPosition {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a LayoutPosition, in given Layout at given place.
+  *
+  * \param layout layout
+  * \param row row position
+  * \param col col position
+  */
+  LayoutPosition(const Layout *layout, int16_t row, int16_t col);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~LayoutPosition();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~LayoutPosition();
 
-            /*!
-            * \brief get Layout
-            *
-            * \return the parent Layout
-            */
-            const Layout* getLayout(void) const;
+  /*!
+  * \brief get Layout
+  *
+  * \return the parent Layout
+  */
+  const Layout *getLayout(void) const;
 
-            /*!
-            * \brief get row
-            *
-            * \return row position
-            */
-            int16_t Row(void) const;
+  /*!
+  * \brief get row
+  *
+  * \return row position
+  */
+  int16_t Row(void) const;
 
-            /*!
-            * \brief get col
-            *
-            * \return col position
-            */
-            int16_t Col(void) const;
+  /*!
+  * \brief get col
+  *
+  * \return col position
+  */
+  int16_t Col(void) const;
 
-
-        private:
-            const Layout *layout;
-            int16_t row,col;
-
-    };
+private:
+  const Layout *layout;
+  int16_t row, col;
+};
 
 } // end namespace gui
Index: trunk/lib/FlairCore/src/Map.cpp
===================================================================
--- trunk/lib/FlairCore/src/Map.cpp	(revision 14)
+++ trunk/lib/FlairCore/src/Map.cpp	(revision 15)
@@ -27,105 +27,110 @@
 using std::ostringstream;
 
-namespace flair
-{
-namespace gui
-{
+namespace flair {
+namespace gui {
 
 using namespace core;
 
-Map::Map(const LayoutPosition* position,string name):SendData(position,name,"Map",1000) {
-    size_t i=0;
-    while(1) {
-        double latitude,longitude;
-        double altitude=0;
-        ostringstream lat_prop,long_prop,alt_prop;
-        lat_prop << "lat" << i;
-        long_prop << "long" << i;
-        alt_prop << "alt" << i;
-        if(GetPersistentXmlProp(lat_prop.str(),latitude) && GetPersistentXmlProp(long_prop.str(),longitude)) {
-            SetVolatileXmlProp(lat_prop.str(),latitude);
-            SetVolatileXmlProp(long_prop.str(),longitude);
-            if(GetPersistentXmlProp(alt_prop.str(),altitude)) SetVolatileXmlProp(alt_prop.str(),altitude);
-            GeoCoordinate *checkpoint=new GeoCoordinate(this,"checkpoint",latitude,longitude,altitude);
-            checkpoints.push_back(checkpoint);
-        } else {
-            break;
-        }
-        i++;
+Map::Map(const LayoutPosition *position, string name)
+    : SendData(position, name, "Map", 1000) {
+  size_t i = 0;
+  while (1) {
+    double latitude, longitude;
+    double altitude = 0;
+    ostringstream lat_prop, long_prop, alt_prop;
+    lat_prop << "lat" << i;
+    long_prop << "long" << i;
+    alt_prop << "alt" << i;
+    if (GetPersistentXmlProp(lat_prop.str(), latitude) &&
+        GetPersistentXmlProp(long_prop.str(), longitude)) {
+      SetVolatileXmlProp(lat_prop.str(), latitude);
+      SetVolatileXmlProp(long_prop.str(), longitude);
+      if (GetPersistentXmlProp(alt_prop.str(), altitude))
+        SetVolatileXmlProp(alt_prop.str(), altitude);
+      GeoCoordinate *checkpoint =
+          new GeoCoordinate(this, "checkpoint", latitude, longitude, altitude);
+      checkpoints.push_back(checkpoint);
+    } else {
+      break;
     }
-    for(size_t i=0;i<checkpoints.size();i++) {
-        double latitude,longitude,altitude;
-        checkpoints.at(i)->GetCoordinates(&latitude,&longitude,&altitude);
-        //printf("%i %f %f\n",i,latitude,longitude);
-    }
+    i++;
+  }
+  for (size_t i = 0; i < checkpoints.size(); i++) {
+    double latitude, longitude, altitude;
+    checkpoints.at(i)->GetCoordinates(&latitude, &longitude, &altitude);
+    // printf("%i %f %f\n",i,latitude,longitude);
+  }
 
-    SendXml();
-/*
-    //update value from xml file
-    XmlEvent(XmlFileNode());
-    if(checkpoints_node.size()!=0) SendXml();//pour les checkpoints
+  SendXml();
+  /*
+      //update value from xml file
+      XmlEvent(XmlFileNode());
+      if(checkpoints_node.size()!=0) SendXml();//pour les checkpoints
 
-    //on enleve les checkpoints du xml
-    for(size_t i=0;i<checkpoints_node.size();i++)
-    {
-        xmlUnlinkNode(checkpoints_node.at(i));
-        xmlFreeNode(checkpoints_node.at(i));
-    }*/
+      //on enleve les checkpoints du xml
+      for(size_t i=0;i<checkpoints_node.size();i++)
+      {
+          xmlUnlinkNode(checkpoints_node.at(i));
+          xmlFreeNode(checkpoints_node.at(i));
+      }*/
 }
 
-Map::~Map() {
-
-}
+Map::~Map() {}
 
 void Map::ExtraXmlEvent(void) {
 
-//attention pas rt safe (creation checkpoint)
-    size_t i=0;
-    while(1) {
-        //printf("test %i\n",i);
-        double latitude,longitude;
-        double altitude=0;
-        ostringstream lat_prop,long_prop,alt_prop;
-        lat_prop << "lat" << i;
-        long_prop << "long" << i;
-        alt_prop << "alt" << i;
-        if(GetPersistentXmlProp(lat_prop.str(),latitude) && GetPersistentXmlProp(long_prop.str(),longitude)) {
-            GetPersistentXmlProp(alt_prop.str(),altitude);
-            if(i>=checkpoints.size()) {
-                GeoCoordinate *checkpoint=new GeoCoordinate(this,"checkpoint",latitude,longitude,altitude);
-                checkpoints.push_back(checkpoint);
-                //printf("add %i\n",i);
-            } else {
-                checkpoints.at(i)->SetCoordinates(latitude,longitude,altitude);
-            }
-        } else {
-            if(i==checkpoints.size()) break;
-        }
-        i++;
+  // attention pas rt safe (creation checkpoint)
+  size_t i = 0;
+  while (1) {
+    // printf("test %i\n",i);
+    double latitude, longitude;
+    double altitude = 0;
+    ostringstream lat_prop, long_prop, alt_prop;
+    lat_prop << "lat" << i;
+    long_prop << "long" << i;
+    alt_prop << "alt" << i;
+    if (GetPersistentXmlProp(lat_prop.str(), latitude) &&
+        GetPersistentXmlProp(long_prop.str(), longitude)) {
+      GetPersistentXmlProp(alt_prop.str(), altitude);
+      if (i >= checkpoints.size()) {
+        GeoCoordinate *checkpoint = new GeoCoordinate(
+            this, "checkpoint", latitude, longitude, altitude);
+        checkpoints.push_back(checkpoint);
+        // printf("add %i\n",i);
+      } else {
+        checkpoints.at(i)->SetCoordinates(latitude, longitude, altitude);
+      }
+    } else {
+      if (i == checkpoints.size())
+        break;
     }
+    i++;
+  }
 
-    for(size_t i=0;i<checkpoints.size();i++) {
-        double latitude,longitude,altitude;
-        checkpoints.at(i)->GetCoordinates(&latitude,&longitude,&altitude);
-        //printf("%i %f %f\n",i,latitude,longitude);
-    }
+  for (size_t i = 0; i < checkpoints.size(); i++) {
+    double latitude, longitude, altitude;
+    checkpoints.at(i)->GetCoordinates(&latitude, &longitude, &altitude);
+    // printf("%i %f %f\n",i,latitude,longitude);
+  }
 }
 
-void Map::AddPoint(const GeoCoordinate* point,string name) {
-    SetVolatileXmlProp("point",name);
-    SendXml();
+void Map::AddPoint(const GeoCoordinate *point, string name) {
+  SetVolatileXmlProp("point", name);
+  SendXml();
 
-    to_draw.push_back(point);
-    SetSendSize(to_draw.size()*3*sizeof(double));//lat,long,alt
+  to_draw.push_back(point);
+  SetSendSize(to_draw.size() * 3 * sizeof(double)); // lat,long,alt
 }
 
-void Map::CopyDatas(char* buf) const {
-    for(size_t i=0;i<to_draw.size();i++) {
-        double latitude,longitude,altitude;
-        to_draw.at(i)->GetCoordinates(&latitude,&longitude,&altitude);
-        memcpy(buf+i*3*sizeof(double),&latitude,sizeof(double));
-        memcpy(buf+sizeof(double)+i*3*sizeof(double),&longitude,sizeof(double));
-        memcpy(buf+2*sizeof(double)+i*3*sizeof(double),&altitude,sizeof(double));
-    }
+void Map::CopyDatas(char *buf) const {
+  for (size_t i = 0; i < to_draw.size(); i++) {
+    double latitude, longitude, altitude;
+    to_draw.at(i)->GetCoordinates(&latitude, &longitude, &altitude);
+    memcpy(buf + i * 3 * sizeof(double), &latitude, sizeof(double));
+    memcpy(buf + sizeof(double) + i * 3 * sizeof(double), &longitude,
+           sizeof(double));
+    memcpy(buf + 2 * sizeof(double) + i * 3 * sizeof(double), &altitude,
+           sizeof(double));
+  }
 }
 
